package common

import (
	"fmt"
)

func ActorURL(domain string, name interface{}) string {
	return fmt.Sprintf("https://%s/users/%s", domain, name)
}

func ActivityURL(domain string, activityID interface{}) string {
	return fmt.Sprintf("https://%s/activity/%s", domain, activityID)
}

func ObjectURL(domain string, objectID interface{}) string {
	return fmt.Sprintf("https://%s/object/%s", domain, objectID)
}

func ObjectRepliesURL(domain string, objectID interface{}) string {
	return fmt.Sprintf("https://%s/object/%s/replies", domain, objectID)
}

func ObjectRepliesPageURL(domain string, objectID interface{}, page int) string {
	return fmt.Sprintf("https://%s/object/%s/replies?page=%d", domain, objectID, page)
}
